#version 330 core

layout (location = 0) out vec4 FragmentColor;
layout (location = 1) out vec4 BrightColor; 

void main()
{
	vec3 orange = vec3(1.0f, 0.5f, 0.0f);
	FragmentColor = vec4(orange, 1.0f) ;

	// transform brightness to grayscale first
	float brightness = dot(FragmentColor.rgb, vec3(0.2126f, 0.7152f, 0.0722f));
	//float brightness = (FragmentColor.r + FragmentColor.g + FragmentColor.b) / 3;

    BrightColor = vec4(FragmentColor.rgb, 1.0f);
}