#version 330 core

layout (location = 0) out vec4 FragmentColor;
layout (location = 1) out vec4 BrightColor; 

void main()
{
	FragmentColor = vec4(16.0f, 16.0f, 16.0f, 1.0f);
	BrightColor = vec4(0.0f);

	// transform brightness to grayscale first
	float brightness = dot(FragmentColor.rgb, vec3(0.2126f, 0.7152f, 0.0722f));
	//float brightness = (FragmentColor.r + FragmentColor.g + FragmentColor.b) / 3;

    if(brightness > 1.0f)
	{
        BrightColor = vec4(FragmentColor.rgb, 1.0f);
	}
	else
	{
		BrightColor = vec4(vec3(0.0f), 1.0f);
	}
}