 #version 330 core
out vec4 fragmentColor;

in vec2 TexCoords;

uniform sampler2D nearSharpTexture;
uniform sampler2D farBlurredTexture;

void main()
{
	//vec3 nearColor = texture(nearSharpTexture, TexCoords).rgb;
	//vec3 farColor = texture(farBlurredTexture, TexCoords).rgb;
	//vec3 result =  nearColor + farColor;
	//fragmentColor = vec4( result, 1.0f);

	vec3 nearColor = texture(nearSharpTexture, TexCoords).rgb;
	vec3 farColor = texture(farBlurredTexture, TexCoords).rgb;
	vec3 result =  nearColor + farColor;
	fragmentColor = vec4( result, 1.0f);
}