#version 330 core
layout (location = 0) in vec3 position;
layout (location = 1) in vec3 color;

out vec3 ourColor;
  
uniform mat4 projectionMatrix;
mat4 viewMatrix = mat4(1.0);
uniform mat4 modelMatrix;

void main()
{
    gl_Position =  projectionMatrix * viewMatrix * modelMatrix * ( vec4(position, 1.0f) + vec4(0.0f, 0.0f, -1.0f, 0.0f) );
    ourColor = color;
} 