#version 330 core
layout (location = 0) in vec4 vertexData; // <vec2 pos, vec2 tex>
out vec2 TexCoords;

uniform mat4 projection;

void main()
{
    gl_Position = projection * vec4(vertexData.xy, 0.0f, 1.0f);
    TexCoords = vertexData.zw;
}  